9f28177407
- Update to dracut mainline version 041. Half of the patches got integrated mainline. Some others have been merged together when it made sense some have been left out, but are still in the repository as they need some special treating and mainline discussion whether/how they get added. These are also not urgently needed, but are debugging patches. I broke the rule here to mention every added/deleted/modified patch as every patch is touched and every 2nd got removed (mainline integrated). I also re-ordered the patches in the PatchXY: area for easier merging them and get them discussed and posted mainline easier, topic by topic. OBS-URL: https://build.opensuse.org/request/show/293267 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=214
53 lines
1.5 KiB
Diff
53 lines
1.5 KiB
Diff
From ad967a08bbf67171a75acc84a9ea2ffbd9461aa5 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Wed, 4 Jun 2014 12:04:10 +0200
|
|
Subject: 40network: always start netroot in ifup.sh
|
|
|
|
It's totally irrelevant how the network is configured when
|
|
trying to setup netroot. It only matters if it could be
|
|
configured at all.
|
|
So change the logic the check for correct network setup
|
|
and then start netroot.
|
|
|
|
References: bnc#881235
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/40network/ifup.sh | 22 ++++++++--------------
|
|
1 file changed, 8 insertions(+), 14 deletions(-)
|
|
|
|
Index: dracut-041/modules.d/40network/ifup.sh
|
|
===================================================================
|
|
--- dracut-041.orig/modules.d/40network/ifup.sh 2015-01-31 12:54:52.000000000 +0100
|
|
+++ dracut-041/modules.d/40network/ifup.sh 2015-03-24 15:07:37.946300922 +0100
|
|
@@ -338,21 +338,15 @@
|
|
esac
|
|
done
|
|
|
|
- > /tmp/net.${netif}.up
|
|
+ if [ $? -eq 0 ]; then
|
|
+ > /tmp/net.${netif}.up
|
|
|
|
- case $autoconf in
|
|
- dhcp|on|any|dhcp6)
|
|
- ;;
|
|
- *)
|
|
- if [ $? -eq 0 ]; then
|
|
- setup_net $netif
|
|
- source_hook initqueue/online $netif
|
|
- if [ -z "$manualup" ]; then
|
|
- /sbin/netroot $netif
|
|
- fi
|
|
- fi
|
|
- ;;
|
|
- esac
|
|
+ setup_net $netif
|
|
+ source_hook initqueue/online $netif
|
|
+ if [ -z "$manualup" ]; then
|
|
+ /sbin/netroot $netif
|
|
+ fi
|
|
+ fi
|
|
|
|
exit 0
|
|
done
|